local CONST = {}

CONST.HPMAX = "hpmax"
CONST.PPMAX = "ppmax"
CONST.ATTACK = "attack"
CONST.POWER = "power"
CONST.DEFENSE = "defense"
CONST.MIND = "mind"
CONST.TECHNIC = "technic"
CONST.SPEED = "speed"

CONST.DAMAGE = "damage"
CONST.ACCURACY = "accuracy"
CONST.EVASION = "evasion"
CONST.LUCK = "luck"
CONST.ARMOR = "armor"
CONST.CRITICAL = "critical"
CONST.HPREGEN = "hpregen"
CONST.PPREGEN = "ppregen"

CONST.RANK_E = 10
CONST.RANK_D = 25
CONST.RANK_C = 40
CONST.RANK_B = 60
CONST.RANK_A = 80
CONST.RANK_S = 100
CONST.MULT_HP = 4.5

CONST.LIST = {CONST.HPMAX, CONST.PPMAX, CONST.ATTACK, CONST.POWER, CONST.DEFENSE, CONST.MIND, CONST.TECHNIC, CONST.SPEED}
CONST.BATTLELIST = {CONST.ACCURACY, CONST.EVASION, CONST.LUCK, CONST.DAMAGE, CONST.ARMOR, CONST.CRITICAL, CONST.HPREGEN, CONST.PPREGEN}
CONST.NOBONUS = {CONST.HPMAX, CONST.PPMAX, CONST.HPREGEN, CONST.PPREGEN}

CONST.SIMPLENAME = {}
CONST.SIMPLENAME[CONST.HPMAX]   = "HP"
CONST.SIMPLENAME[CONST.PPMAX]   = "PP"
CONST.SIMPLENAME[CONST.ATTACK]  = "ATK"
CONST.SIMPLENAME[CONST.POWER]   = "POW"
CONST.SIMPLENAME[CONST.DEFENSE] = "DEF"
CONST.SIMPLENAME[CONST.MIND]    = "MND"
CONST.SIMPLENAME[CONST.TECHNIC] = "TEK"
CONST.SIMPLENAME[CONST.SPEED]   = "SPD"

CONST.EXP_MULTIPLICATOR = 4
CONST.EXP_RATIO = 5

CONST.BASE_STAT = 5
CONST.BASE_HP = 15
CONST.BASE_MP = 8

CONST.MULT_STAT = 2
CONST.MULT_HP = 7.5
CONST.SALT_HP = 35
CONST.MULT_MP = 1.5

local function createBattleStat(name, valueHero, valueEnnemy)
    CONST.BATTLESTAT.HERO[name] = valueHero
    CONST.BATTLESTAT.ENNEMI[name] = valueEnnemy or valueHero
end

CONST.BATTLESTAT = {}
CONST.BATTLESTAT.HERO = {}
CONST.BATTLESTAT.ENNEMI = {}
createBattleStat("accuracy", 100)
createBattleStat("evasion", 0)
createBattleStat("luck", 66, 40)
createBattleStat("damage", 0)
createBattleStat("armor", 0)
createBattleStat("critical", 0)
createBattleStat("hpregen", 0)
createBattleStat("ppregen", 0)

CONST.ARMOR_AND_DAMAGE_RATIO = .5

CONST.BONUS = {0.75, 0.8125, 0.875, 0.9375, 1, 1.125, 1.25, 1.375, 1.5}

return CONST
