return {
  metadata = {
    height      = 64,
    width       = 64,
    ox          = 32,
    oy          = 32,
    defaultAnim = "idle"
  },
  animations = {
    ["idle"] = {
      startAt     = 1,
      endAt       = 8,
      loop        = 1,
      speed       = 10,
      pauseAtEnd  = false,
    },
    ["walk"] = {
      startAt     = 9,
      endAt       = 17,
      loop        = 10,
      speed       = -1,
      pauseAtEnd  = false,
    },
    ["jump"] = {
      startAt     = 18,
      endAt       = 21,
      loop        = 21,
      speed       = 10,
      pauseAtEnd  = true,
    },
    ["fall"] = {
      startAt     = 22,
      endAt       = 24,
      loop        = 26,
      speed       = 10,
      pauseAtEnd  = true,
    },
    ["hit1start"] = {
      startAt     = 29,
      endAt       = 32,
      loop        = 32,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["hit1end"] = {
      startAt     = 33,
      endAt       = 34,
      loop        = 34,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["hit2start"] = {
      startAt     = 35,
      endAt       = 37,
      loop        = 37,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["hit2end"] = {
      startAt     = 38,
      endAt       = 39,
      loop        = 39,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["hit3start"] = {
      startAt     = 40,
      endAt       = 44,
      loop        = 44,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["hit3end"] = {
      startAt     = 45,
      endAt       = 46,
      loop        = 46,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["spindash"] = {
      startAt     = 59,
      endAt       = 62,
      loop        = 59,
      speed       = 25,
      pauseAtEnd  = false,
    },
    ["spindash_full"] = {
      startAt     = 59,
      endAt       = 62,
      loop        = 59,
      speed       = 25,
      pauseAtEnd  = false,
    },
    ["spin"] = {
      startAt     = 55,
      endAt       = 58,
      loop        = 55,
      speed       = 25,
      pauseAtEnd  = false,
    },
    ["spinjump"] = {
      startAt     = 49,
      endAt       = 54,
      loop        = 51,
      speed       = 25,
      pauseAtEnd  = false,
    },
    ["spinjump_nucurl"] = {
      startAt     = 51,
      endAt       = 54,
      loop        = 51,
      speed       = 25,
      pauseAtEnd  = false,
    },
    ["hurt"] = {
      startAt     = 47,
      endAt       = 49,
      loop        = 49,
      speed       = 15,
      pauseAtEnd  = true,
    },
    ["getKo"] = {
      startAt     = 50,
      endAt       = 52,
      loop        = 52,
      speed       = 15,
      pauseAtEnd  = true,
    },
    ["ko"] = {
      startAt     = 52,
      endAt       = 52,
      loop        = 52,
      speed       = 15,
      pauseAtEnd  = true,
    },
    ["defend"] = {
      startAt     = 53,
      endAt       = 54,
      loop        = 54,
      speed       = 15,
      pauseAtEnd  = true,
    },
    ["heal"] = {
      startAt     = 63,
      endAt       = 66,
      loop        = 64,
      speed       = 15,
      pauseAtEnd  = false,
    },
    ["healend"] = {
      startAt     = 67,
      endAt       = 68,
      loop        = 68,
      speed       = 15,
      pauseAtEnd  = true,
    },
    ["hammer1"] = {
      startAt     = 69,
      endAt       = 82,
      loop        = 69,
      speed       = 15,
      pauseAtEnd  = false,
    },
    ["upper"] = {
      startAt     = 83,
      endAt       = 95,
      loop        = 83,
      speed       = 15,
      pauseAtEnd  = false,
      signal = {{5, "tornado"}, {7, "hitconnect"}}
    },
    ["gift"] = {
      startAt     = 96,
      endAt       = 106,
      loop        = 96,
      speed       = 15,
      pauseAtEnd  = false,
    }
  }
}
