return {
  metadata = {
    height      = 64,
    width       = 64,
    ox          = 32,
    oy          = 32,
    defaultAnim = "idle"
  },
  animations = {
    ["idle"] = {
      startAt     = 1,
      endAt       = 6,
      loop        = 1,
      speed       = 12,
      pauseAtEnd  = false,
    },
    ["walk"] = {
      startAt     = 7,
      endAt       = 14,
      loop        = 7,
      speed       = -1,
      pauseAtEnd  = false,
    },
    ["jump"] = {
      startAt     = 15,
      endAt       = 18,
      loop        = 18,
      speed       = 10,
      pauseAtEnd  = true,
    },
    ["fall"] = {
      startAt     = 19,
      endAt       = 21,
      loop        = 21,
      speed       = 10,
      pauseAtEnd  = true,
    },
    ["hit1start"] = {
      startAt     = 22,
      endAt       = 24,
      loop        = 24,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["hit1end"] = {
      startAt     = 24,
      endAt       = 26,
      loop        = 26,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["hit2start"] = {
      startAt     = 28,
      endAt       = 30,
      loop        = 30,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["hit2end"] = {
      startAt     = 30,
      endAt       = 32,
      loop        = 32,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["hit3start"] = {
      startAt     = 33,
      endAt       = 35,
      loop        = 35,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["hit3end"] = {
      startAt     = 36,
      endAt       = 36,
      loop        = 36,
      speed       = 25,
      pauseAtEnd  = true,
    },
    ["spindash"] = {
      startAt     = 37,
      endAt       = 40,
      loop        = 37,
      speed       = 25,
      pauseAtEnd  = false,
    },
    ["spindash_full"] = {
      startAt     = 41,
      endAt       = 44,
      loop        = 41,
      speed       = 25,
      pauseAtEnd  = false,
    },
    ["spin"] = {
      startAt     = 45,
      endAt       = 48,
      loop        = 45,
      speed       = 25,
      pauseAtEnd  = false,
    },
    ["spinjump"] = {
      startAt     = 49,
      endAt       = 54,
      loop        = 51,
      speed       = 25,
      pauseAtEnd  = false,
    },
    ["spinjump_nucurl"] = {
      startAt     = 51,
      endAt       = 54,
      loop        = 51,
      speed       = 25,
      pauseAtEnd  = false,
    },
    ["hurt"] = {
      startAt     = 55,
      endAt       = 57,
      loop        = 57,
      speed       = 15,
      pauseAtEnd  = true,
    },
    ["getKo"] = {
      startAt     = 58,
      endAt       = 62,
      loop        = 62,
      speed       = 15,
      pauseAtEnd  = true,
    },
    ["ko"] = {
      startAt     = 62,
      endAt       = 62,
      loop        = 62,
      speed       = 15,
      pauseAtEnd  = true,
    },
    ["defend"] = {
      startAt     = 63,
      endAt       = 64,
      loop        = 64,
      speed       = 15,
      pauseAtEnd  = true,
    },
    ["flare"] = {
      startAt     = 65,
      endAt       = 80,
      loop        = 65,
      speed       = 20,
      pauseAtEnd  = false,
    },
    ["upper"] = {
      startAt     = 81,
      endAt       = 89,
      loop        = 81,
      speed       = 18,
      pauseAtEnd  = false,
      signal = {{2, "tornado"}, {3, "hitconnect"}}
    },
    ["heal"] = {
      startAt     = 90,
      endAt       = 93,
      loop        = 91,
      speed       = 15,
      pauseAtEnd  = false,
    },
    ["healend"] = {
      startAt     = 94,
      endAt       = 95,
      loop        = 95,
      speed       = 15,
      pauseAtEnd  = false,
    },
    ["gift"] = {
      startAt     = 96,
      endAt       = 101,
      loop        = 96,
      speed       = 15,
      pauseAtEnd  = false,
    }
  }
}
